#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "libldetect.h"

int verboze = 0;
int full_probe = 0;

void usage(void)
{
	printf("usage: lspcidrake [-v] [-f]\n");
	exit(0);
}

void pci_printit(struct pciusb_entries entries)
{
	int i;
	for (i = 0; i < entries.nb; i++) {
		struct pciusb_entry e = entries.entries[i];
		printf("%s::%s::%04x::%04x::%04x::%04x::%s\n",
			e.module ? e.module : "",
			e.text ? e.text : "",
			e.vendor, e.device, e.subvendor, e.subdevice,
			pci_class2text(e.class)
		);
	}
}

int main(int argc, char **argv)
{
	char **ptr = argv;
	full_probe = 1;
	while (ptr && *ptr) {
		if (!strcmp(*ptr, "-h") || !strcmp(*ptr, "--help"))
			usage();
		if (!strcmp(*ptr, "-v")) {
			verboze = 1;
			full_probe = 1;
		}
		if (!strcmp(*ptr, "-f"))
			full_probe = 1;
		ptr++;
	}
	{
		struct pciusb_entries entries = pci_probe(full_probe);
		pci_printit(entries);
		pciusb_free(entries);
	}
	exit(0);
}
